::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: modules\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------
::"magicword2" should be contained in this file for modmii to not check for updates or enable legacy cIOS build mode (effective v7.0.3+)
set ciosversion=21004
::must be <=65535
::if ciosversion above is different from version in ciosmaps.xml, then ModMii v6.5.2 or higher required to build it successfully

set d2x-beta-rev=4-final
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the first "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ] but do not use underscores, breaks some ModMii advanced download conversion stuff
::5 chars of version string is used up if ciosmaps_vWii.xml exists to append "-vWii" to tag, so version string limit is actually 11 chars if vWii is supported


set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
::d2x-beta-md5-updater.bat can be used to help update hashes
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=c0b722ea5566719ce724cf423dd41c44
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=98c78a84a0f8dde3fac6d68070e9e4f3
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=dcc2faaf0607a83f501f5d580271b761
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=cf58cf3ba373dfe7b93d08bfeda46402
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=50cbc6167e62dcb73acda295511f6649
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=71ca574afc2b82f3a9ddabffabcc81a0
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=c410e3b61a1c1db30a512277aa617d39
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=6fe9040f8b8fa50736b4ce535ed22337
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=1c07a190a0af4fcb41345090fbbb0317
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=704a040182e2cd6c6a81c5a9a212deec
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=5640468cde5ceb0a54e1bb9c3cd76d0b
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=0c5e18532b0deb1183be510eafa12223
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=6edccf2e1c2e6cabcbf7c1fd1017d406
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=a6f9f2ee10d68894158477bda40f1dc0
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5=8b78688e822c2e8424fa535bf30a983d
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5=a4b99356eff9d70b1d4f47768873e445
::two sets of md5s for legacy wad(mii) packer support
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5alt=6442980ae9855a51f1634cc60a8ecb67
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5alt=4998ce42fb6168b0b6ff4373e2e05eae
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5alt=1c04f1cb32bac4eeffd71d561f9bfb40
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5alt=1e2c851f42936c8af4d6b68a2b6d19bf
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5alt=9260b5bb8d30ccbfb199d9d7f3def534
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5alt=2b61e3d4de9fd17bd60484dcd43b6437
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5alt=61527eff8292cc40fca63e608ea3a528
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5alt=29e4938a87562b4bcd56433c4a6c320d
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5alt=6dd9a57c27140abe9774671fa435ff09
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5alt=3a825f7699415233d77ca892b1e25c49
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5alt=5ed459526837c63cedf8c25db5ad0047
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5alt=6e98b06510a2265cb40c3c584fee8f89
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5alt=57fcf7ad648fdfcded1a78dc68b076bf
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5alt=91eee372d93a8f1995d315f415544d37
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5alt=1e4fdf7cd4861ff9d85344bc8ad140b2
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5alt=3b499148ef158035b41539b055564fb5

::cIOS251[38] is only an option in ModMii v6.6.0-6.6.3, so if not updated it won't be an issue for most people (this is the same as 249[38] with its slot changed to 251 by patchios.exe
if /i "%wadname:~0,17%" EQU "cIOS251[38]-d2x-v" set md5=4aae2dffe4b6dd16391022e07c62dc62
if /i "%wadname:~0,17%" EQU "cIOS251[38]-d2x-v" set md5alt=%md5%
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::modules\More-cIOSs\{ANY FOLDER NAME}\mload.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::modules\More-cIOSs\{ANY FOLDER NAME}\SDHC.app
::modules\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::modules\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::modules\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::modules\More-cIOSs\{ANY FOLDER NAME}\ES.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

::set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

